Skip to main content
GET
/
api
/
v1
/
keyword-details
Keyword Details - Ranked Urls
curl --request GET \
  --url https://api.shareofsearch.jplus.io/api/v1/keyword-details \
  --header 'Authorization: Bearer <token>'
{
  "data": [
    {
      "source": "Bing",
      "url": "<string>",
      "rank": 123,
      "ranked_keywords": 123
    }
  ]
}

Documentation Index

Fetch the complete documentation index at: https://docs.shareofmodel.ai/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

project_id
string
required

Project Id

collect_id
string
required

Collect Id

sources
enum<string>[]
required

Sources

Available options:
Bing,
BingAIO,
ChatGPT,
Perplexity,
Google,
GoogleAIO,
GoogleAIMode,
Claude,
Gemini,
AmazonRufus
client_id
string
required

Client id

keyword_id
string
required

Keyword Id

Response

Successful Response

data
KeywordDetailsResponse · object[]
required